Package de.willuhn.jameica.hbci.gui

# Class DialogFactory

java.lang.Object
de.willuhn.jameica.hbci.gui.DialogFactory

public class DialogFactory extends Object
Hilfsklasse zur Erzeugung von Hilfs-Dialogen bei der HBCI-Kommunikation.

## Constructor Summary

Constructors
Constructor
Description
`DialogFactory()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`clearPINCache(org.kapott.hbci.passport.HBCIPassport passport)`
Loescht den PIN-Cache.
`static void`
`clearPINStore(org.kapott.hbci.passport.HBCIPassport passport)`
Loescht den permanenten Store mit den PINs.
`static void`
`dirtyPINCache(org.kapott.hbci.passport.HBCIPassport passport)`
Markiert die PIN des Passports als Dirty - zum Beispiel aufgrund eines Fehlers.
`static AccountContainer`
`getAccountData(org.kapott.hbci.passport.HBCIPassport p)`
Erzeugt einen Dialog zur Eingabe von Account-Daten.
`static String`
`getKeyPassword(org.kapott.hbci.passport.HBCIPassport passport)`
Liefert das Passwort fuer Schluesseldateien.
`static String`
`getPIN(org.kapott.hbci.passport.HBCIPassport passport)`
Liefert die PIN.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DialogFactory

public DialogFactory()

## Method Details

### getPIN

public static String getPIN(org.kapott.hbci.passport.HBCIPassport passport) throws Exception
Liefert die PIN.

Parameters:
  `passport` - Passport, fuer den die PIN-Abfrage gemacht wird.
Returns:
  die eingegebene PIN.
Throws:
  `Exception`

### getKeyPassword

public static String getKeyPassword(org.kapott.hbci.passport.HBCIPassport passport) throws Exception
Liefert das Passwort fuer Schluesseldateien.

Parameters:
  `passport` - der HBCI-Passport.
Returns:
  eingegebenes Passwort.
Throws:
  `Exception`

### getAccountData

public static AccountContainer getAccountData(org.kapott.hbci.passport.HBCIPassport p) throws Exception
Erzeugt einen Dialog zur Eingabe von Account-Daten. Hinweis: Wirft eine RuntimeException, wenn der Dialog abgebrochen wurde. Hintergrund: Der Dialog wurde aus dem HBCICallBack heraus aufgerufen und soll im Fehlerfall den HBCI-Vorgang abbrechen.

Parameters:
  `p` - der Passport.
Returns:
  ein Container mit den eingegebenen Daten.
Throws:
  `Exception`

### clearPINCache

public static void clearPINCache(org.kapott.hbci.passport.HBCIPassport passport)
Loescht den PIN-Cache. BUGZILLA 349

Parameters:
  `passport` - der Passport, dessen PIN geloescht werden soll. Optional. Wird er weggelassen, werden alle PINs geloescht.

### dirtyPINCache

public static void dirtyPINCache(org.kapott.hbci.passport.HBCIPassport passport)
Markiert die PIN des Passports als Dirty - zum Beispiel aufgrund eines Fehlers. Das fuehrt dazu, dass die PIN beim naechsten Mal neu erfragt wird, aber im Passwort-Dialog bereits vorbefuellt ist.

Parameters:
  `passport` - der Passport, dessen PIN invalidiert werden soll. Optional. Wird er weggelassen, werden alle PINs invalidiert.

### clearPINStore

public static void clearPINStore(org.kapott.hbci.passport.HBCIPassport passport)
Loescht den permanenten Store mit den PINs.

Parameters:
  `passport` - der Passport, dessen PIN geloescht werden soll. Optional. Wird er weggelassen, werden alle PINs geloescht.